<?php
/**
 * Scans the directory for properly named image files, and shows the given
 * thumbnails and screenshots with links and all that, meant to be used with
 * the files generated by screenshot.ph
 * @package Screenshoter
 * @author Argel Arias <levhita@gmail.com>
 * @license GPL of course
 */
  $files = explode("\n", `ls -r screenshot-*-thumb.png`);
  $size = count($files) -1 ;
  unset($files[$size]);
  $base_names = array();

  foreach ( $files as $file ) {
    $aux = substr($file, 0, -strlen('-thumb.png'));
    $base_names[] = substr($aux, strlen('screenshot-'));
  }

  if( isset($_GET['screenshot']) ){
    $screenshot = $_GET['screenshot'];
    if ( preg_match('/\d{4}(-\d{2}){5}/', $screenshot) ) {
      $base_name=$screenshot;
    } else {
      $base_name = $base_names[0];
    }
  } else {
    $base_name = $base_names[0];   
  }
  $full   ='screenshot-' . $base_name . '-full.png';
  $sample ='screenshot-' . $base_name . '.jpg';
  
  $img_link = '<a href="' . $full . '"><img src="' . $sample . '"/></a>';
  
  $thumbnails_links = array();
  foreach ( $base_names as $name ) {
    $thumbnails_links[] = '<a href="index.php?screenshot=' . $name . '"><img src="screenshot-' . $name . '-thumb.png"/></a>';
  }
?>
<html>
  <head>
    <title>Screenshots</title>
    <style type="text/css">
      img {
        border:none;
      }
      p {
       text-align:center; 
      }
    </style>
  </head>
  
  <body>
  
  <p>
    <?php echo $img_link?><br />
    <?php echo $full?>
  </p>
  
  <p><?php
    foreach($thumbnails_links as $link) {
      echo $link . ' ';
    }
  ?></p>
  </body>
</html>
